## org.w3c.jigadmin.gui.slist
Class ServerList

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.w3c.jigadmin.gui.slist.ServerList

public class ServerList
extends javax.swing.JPanel

Manage a list of Jigsaw server.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`ServerList(RemoteResourceWrapper root)` Constructor.
`ServerList(RemoteResourceWrapper root, javax.swing.ImageIcon icon)` Constructor.
`ServerList(ServerListModelInterface model)` Constructor.
`ServerList(ServerListModelInterface model, javax.swing.ImageIcon icon)` Constructor.

Method Summary
`void` `addServerListListener(ServerListListener listener)` Add a ServerListListener.
`protected void` `build()` Build the interface.
`protected void` `fireServerSelectedEvent(java.lang.String name)` Fire a ServerSelectedEvent for the given server name.
`ServerListModelInterface` `getModel()` Get the Server List Model.
`void` `removeServerListListener(ServerListListener listener)` Remove a ServerListListener.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerList

    public ServerList(ServerListModelInterface model)

  Constructor.
  Parameters:
    `model` - The Server list model.

### ServerList

    public ServerList(ServerListModelInterface model,
                      javax.swing.ImageIcon icon)

  Constructor.
  Parameters:
    `model` - The Server list model.
    `icon.` - The server icon.

### ServerList

    public ServerList(RemoteResourceWrapper root)
               throws RemoteAccessException

  Constructor.
  Parameters:
    `root` - The root RemoteResourceWrapper

### ServerList

    public ServerList(RemoteResourceWrapper root,
                      javax.swing.ImageIcon icon)
               throws RemoteAccessException

  Constructor.
  Parameters:
    `root` - The root RemoteResourceWrapper
    `icon.` - The server icon.

Method Detail

### getModel

    public ServerListModelInterface getModel()

  Get the Server List Model.
  Returns:
    a ServerListModelInterface instance.

### addServerListListener

    public void addServerListListener(ServerListListener listener)

  Add a ServerListListener.
  Parameters:
    `listener` - the ServerListListener to add.

### removeServerListListener

    public void removeServerListListener(ServerListListener listener)

  Remove a ServerListListener.
  Parameters:
    `listener` - the ServerListListener to remove.

### fireServerSelectedEvent

    protected void fireServerSelectedEvent(java.lang.String name)

  Fire a ServerSelectedEvent for the given server name.
  Parameters:
    `name` - the server name.

### build

    protected void build()

  Build the interface.